import request from "@/utils/request";

// 查询示范创建城市列表
export function listRECOMMEND(query) {
  return request({
    url: "/shian/RECOMMEND/list",
    method: "get",
    params: query,
  });
}
// ?areaType=1
// 查询示范创建城市树状
export function treeList(query) {
  return request({
    url: "/shian/CONFIGURE/Demonstrationtreelist",
    method: "get",
    params: query,
  });
}

// 查询示范创建城市详细
export function getRECOMMEND(id) {
  return request({
    url: "/shian/RECOMMEND/" + id,
    method: "get",
  });
}

// 新增示范创建城市
export function addRECOMMEND(data) {
  return request({
    url: "/shian/RECOMMEND",
    method: "post",
    data: data,
  });
}

// 修改示范创建城市
export function updateRECOMMEND(data) {
  return request({
    url: "/shian/RECOMMEND",
    method: "put",
    data: data,
  });
}

// 删除示范创建城市
export function delRECOMMEND(id) {
  return request({
    url: "/shian/RECOMMEND/" + id,
    method: "delete",
  });
}

// 导出示范创建城市
export function exportRECOMMEND(query) {
  return request({
    url: "/shian/RECOMMEND/export",
    method: "get",
    params: query,
  });
}
//获取五个示范的评分
export function demoGrade(query){
	return request({
	  url: "/shian/evaluation/getgradebyId",
	  method: "get",
	  params: query,
	});
}